package be.iminds.ilabt.jfed.experimenter_gui.editor.events;

import be.iminds.ilabt.jfed.experimenter_gui.editor.ModelRspecEditor;
import be.iminds.ilabt.jfed.rspec.model.javafx_impl.FXRspecChannel;
import javafx.stage.Window;

/**
 * User: twalcari
 * Date: 5/22/2015
 * Time: 09:53
 */
public class ShowChannelPropertiesEvent extends ExperimentEditorEvent {

    private final FXRspecChannel channel;

    public ShowChannelPropertiesEvent(FXRspecChannel channel, ModelRspecEditor modelRspecEditor, Window parentWindow) {
        super(modelRspecEditor, parentWindow);
        this.channel = channel;
    }

    public FXRspecChannel getChannel() {
        return channel;
    }
}
